Index Page cklpf_c
A B C D E F G H I J K L M N O P Q R S T U V W X
Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries
#### Procedure
       void cklpf_c ( ConstSpiceChar * filename,
                      SpiceInt       * handle    )
#### Abstract
       Load a CK pointing file for use by the CK readers.  Return that
       file's handle, to be used by other CK routines to refer to the
       file.
#### Required_Reading
       CK
       DAF
#### Keywords
       POINTING
#### Brief_I/O
       Variable  I/O  Description
       --------  ---  --------------------------------------------------
       filename   I   Name of the CK file to be loaded.
       handle     O   Loaded file's handle.
#### Detailed_Input
       filename   is the name of a C-kernel file to be loaded.
#### Detailed_Output
       handle     is an integer handle assigned to the file upon loading.
                  Almost every other CK routine will subsequently use
                  this number to refer to the file.
#### Parameters
       ftsize     is the maximum number of pointing files that can
                  be loaded by CKLPF at any given time for use by the
                  readers.
#### Exceptions
       1) If an attempt is made to load more files than is specified
          by the parameter ftsize, the error "SPICE(CKTOOMANYFILES)"
          is signalled.

       2) If an attempt is made to open more DAF files than is specified
          by the parameter ftsize in DAFAH, an error is signalled by a
          routine that this routine calls.

       3) If the file specified by filename can not be opened, an error
          is signalled by a routine that this routine calls.

       4) If the file specified by filename has already been loaded,
          it will become the "last-loaded" file.  (The readers
          search the last-loaded file first.)
#### Files
       The C-kernel file specified by filename is loaded.  The file is
       assigned an integer handle by CKLPF.  Other CK routines will refer
       to this file by its handle.
#### Particulars
       See Particulars in ckbsr.

       If there is room for a new file, CKLPF opens the file for
       reading.  This routine must be called prior to a call to CKGP or
       CKGPAV.

       CK readers search files loaded with CKLPF in the reverse order
       in which they were loaded.  That is, last-loaded files are
       searched first.
#### Examples
       ck_kern  = "/kernels/mpf/ck/lander_nominal.bck";
       cklpf_c ( ck_kern, &hand );

       Also see the Example in ckbsr.for.
#### Restrictions
       None.
#### Literature_References
       None.
#### Author_and_Institution
       J.M. Lynch     (JPL)
       J.E. McLean    (JPL)
       M.J. Spencer   (JPL)
       R.E. Thurman   (JPL)
       I.M. Underwood (JPL)
       E.D. Wright    (JPL)
       B.V. Semenov   (JPL)
#### Version
       -CSPICE Version 2.0.1, 31-JAN-2008 (BVS)

           Removed '-Revisions' from the header.

       -CSPICE Version 2.0.0, 08-FEB-1998 (NJB)

           Input argument filename changed to type ConstSpiceChar *;
           name was changed to "filename" from "fname."

           References to C2F_CreateStr_Sig were removed; code was
           cleaned up accordingly.  String checks are now done using
           the macro CHKFSTR.

       -CSPICE Version 1.0.0, 25-OCT-1997 (EDW)
#### Index_Entries
       load ck pointing file
#### Link to routine cklpf_c source file cklpf_c.c

    Wed Jun  9 13:05:19 2010